/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

/**
 *
 * @author omozegieaziegbe
 */
import java.util.HashSet;
import java.util.TreeSet;

public class NullInSetExample {
    public static void main(String[] args) {
        HashSet<String> hashSet = new HashSet<>();
        hashSet.add("Java");
        hashSet.add(null);
        hashSet.add("Collections");
        hashSet.add(null);

        System.out.println("HashSet with null values: " + hashSet);

        try {
            TreeSet<String> treeSet = new TreeSet<>();
            treeSet.add("Java");
            treeSet.add(null); // Throws NullPointerException
        } catch (NullPointerException e) {
            System.out.println("TreeSet does not allow null values. ");
        }
    }
}

