/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

/**
 *
 * @author omozegieaziegbe
 */
import java.util.HashMap;
import java.util.TreeMap;

public class NullInMapExample {
    public static void main(String[] args) {
        HashMap<String, String> hashMap = new HashMap<>();
        hashMap.put(null, "Java");
        hashMap.put("Key1", null);
        hashMap.put("Key2", null);

        System.out.println("HashMap with null key and values: " + hashMap);

        try {
            TreeMap<String, String> treeMap = new TreeMap<>();
            treeMap.put(null, "Java"); // Throws NullPointerException
            System.out.println(" " + treeMap);
        } catch (NullPointerException e) {
            System.out.println("TreeMap does not allow null keys.");
        }
    }
}

